Skip to main content
POST
/
v3
/
evaluators
Create New Evaluator
curl --request POST \
  --url https://api.example.com/v3/evaluators \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "enrichment_config": {
    "entities": [
      "<string>"
    ],
    "allow_list": [
      "<string>"
    ]
  }
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "enrichment_display_name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "enrichment_config": {
      "entities": [
        "<string>"
      ],
      "allow_list": [
        "<string>"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for creating an evaluator

name
string
required

Name of the evaluator

enrichment_name
enum<string>
required

Type of enrichment

Available options:
topic_classification,
embedding,
token_count,
answer_relevance,
coherence,
conciseness,
rag_faithfulness,
pii_detection,
ftl_prompt_safety,
secret_detection,
sentiment_analysis,
ftl_response_faithfulness,
llm_as_a_judge
enrichment_config
object

PII detection enrichment configurations

Response

Details of the created evaluator

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object

Details of the evaluator